For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get the trend of ETCD Leader change count

Get the trend of ETCD Leader change count

get
  • Get the trend of the number of times the ETCD Leader has changed per minute since the start of the ETCD Member.
  • Rapid changes in Leader indicate significant impact on ETCD performance, often attributed to network connection issues or excessive load on the ETCD cluster.
Query parameters
clusterIdsstringRequired
startstringRequired
endstringRequired
Responses
200

OK

*/*
timestampintegerOptional

시간 당 타임스탬프

Example: 1687741080
valueintegerOptional

타임스탬프별 ETCD 리더 변경 횟수

get/v1/monitoring-etcd/metric/leader-change-rate/result/transition
GET /v1/monitoring-etcd/metric/leader-change-rate/result/transition?clusterIds=text&start=text&end=text HTTP/1.1
Accept: */*
200

OK

[
  {
    "metrics": {
      "cluster": "thingcluster"
    },
    "timestamp": 1687741080,
    "value": 1
  }
]

Was this helpful?